#ifndef __GUARD_SOCKET_H__
#define __GUARD_SOCKET_H__
#include <stdlib.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/socket.h>
#include <bluetooth/bluetooth.h>
#include <bluetooth/l2cap.h>
#include <arpa/inet.h>   
#include <sys/ioctl.h>
#include <unistd.h>
#include <errno.h>
#include <fcntl.h>
#include <time.h>

#include "config.h"


int set_l2cap_mtu( int sock, uint16_t mtu );
int set_l2cap_mode( int sock, uint8_t mode);
int create_bound_socket(bt_intfr_config * config);

#endif // __GUARD_SOCKET_H__
